<div class="character-list"
    infiniteScroll
    [infiniteScrollDistance]="0.5"
    [infiniteScrollUpDistance]="0.5"
    [infiniteScrollThrottle]="50"
    (scrolled)="onScroll()"
>
    <mat-card *ngFor="let character of characters" class="character-card" routerLink="/character/{{ character.id }}">
        <mat-card-header>
            <mat-card-title>{{ character.name }}</mat-card-title>
            <mat-card-subtitle>{{ character.description }}</mat-card-subtitle>
        </mat-card-header>
        <img mat-card-image src="{{character.thumbnail.path}}.{{character.thumbnail.extension}}">
    </mat-card>
</div>
<ngx-spinner [fullScreen]="true" name="primary"></ngx-spinner>
<mat-card class="spinner-card" *ngIf="loadMore">
    <ngx-spinner [fullScreen]="false" name="loadMore"></ngx-spinner>
</mat-card>